Subject: Re: bug#20288: 24.4; password management in sql-oracle

From: Jean-Louis ABRAHAM <[email-masked]>
Date: Thu, 9 Apr 2015 23:26:21 +0200 (CEST)

Hi Eli

The complete recipe is:

In Win7/64:

Start/run/cmd

In the cmd box I enter:
emacs -Q

In Emacs 24.4.1:

M-x sql-oracle
User: 
Password: 

Database: 

The *SQL* buffer looks like:

SQL*Plus: Release 12.1.0.2.0 Production on Thu Apr 9 23:07:25 2015

Copyright (c) 1982, 2014, Oracle.  All rights reserved.

Connected to:
Oracle Database 11g Express Edition Release 11.2.0.2.0 - 64bit Production

SQL> host
Microsoft Windows [version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. Tous droits r serv s.

exit
c:\Users\jean-louis\AppData\Roaming>exit

SQL>

The problem is that after I enter the "host" command the prompt doesn't display, only after I hit the  key

I could reproduce the behavior on 2 Win7/64 bits environments, whether calling Emacs with either "runemacs" or "emacs -Q".

Regards

Jean-Louis

> Message du 09/04/15 21:56
> De : "Eli Zaretskii" 
> A : [email-masked]
> Copie à : [email-masked]
> Objet : Re: bug#20288: 24.4; password management in sql-oracle
> 
> > Date: Thu, 09 Apr 2015 22:51:01 +0300
> > From: Eli Zaretskii 
> > Cc: [email-masked]
> > 
> > > From: [email-masked]
> > > Date: Thu, 09 Apr 2015 21:36:02 +0200
> > > 
> > > 
> > > =============================================
> > > Following issue in "sql-oracle" appeared with Emacs 24.4.1 on Windows. No problems with 24.3.1 on Windows.
> > > Once connected to oracle, while changing user with the "connect" command, the word "password" is missing and the password is displayed as clear text!
> > > 
> > > SQL> connect devel@xe
> > > my_entered_password_is_clear_text!
> > > 
> > > expected behavior:
> > > SQL> connect devel@xe
> > > password displayed as dots in the echo area
> > > =============================================
> > 
> > I cannot reproduce the problem you report. I see the expected
> > behavior.
> 
> Actually, it's quite possible that I didn't perform the same steps as
> you. Please provide a complete recipe starting from "emacs -Q" that
> could be used to reproduce the problem. For example, I'm sure that
> "once connected to oracle" requires some commands to be type, please
> show them.
>